Bug 507206 - Nvidia driver requires binutils which isn't installed by default
Nvidia driver requires binutils which isn't installed by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 12:45 EDT by Greg Breland
Modified: 2013-01-10 00:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 04:50:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Breland 2009-06-21 12:45:06 EDT
A significant number or users install the proprietary Nvidia drivers immediatly after installing Fedora.  F11 no longer installs binutils by default which is required by the Nvidia installer.  Nvidia has a clear error when this happens telling the user to install Binutils and it was easy to do from Add/Remove Software.  However, as a better experience with a pretty common usage senerio installing binutils by default should be considered.


How reproducible:
------------------
1) Boot the F11 Live CD
2) Install to Hard Disk
3) Download Linux driver from nvidia.com
4) Run the Nvidia installer
  
Actual results:
------------------
Install throws an error after unpacking that you need to have binutils installed or "ld" in your path.


Expected results:
------------------
Install should complete without additional requirements
Comment 1 Jesse Keating 2009-06-25 04:50:25 EDT
Nvidia could produce an rpm which has proper deps listed, or they could get this crap upstream.

Note You need to log in before you can comment on or make changes to this bug.